Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/20
Addresses2^108
/64 networks2^44
Network
fe8d:3000::/20
First address
fe8d:3000::
Last address
fe8d:3fff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
324,518,553,658,426,726,783,156,020,576,256 (2^108)
/64 networks (LANs)
17,592,186,044,416 (2^44)
Full form
fe8d:3000:0000:0000:0000:0000:0000:0000
Type
Link-local fe80::/10
Every IPv6 interface has one; not routed
Reverse DNS zone
3.d.8.e.f.ip6.arpa
Split into smaller subnets/28

fe8d:3000::/20 makes 256 subnets of /28.

Subnets
#SubnetLast address
1fe8d:3000::/28fe8d:300f:ffff:ffff:ffff:ffff:ffff:ffff
2fe8d:3010::/28fe8d:301f:ffff:ffff:ffff:ffff:ffff:ffff
3fe8d:3020::/28fe8d:302f:ffff:ffff:ffff:ffff:ffff:ffff
4fe8d:3030::/28fe8d:303f:ffff:ffff:ffff:ffff:ffff:ffff
5fe8d:3040::/28fe8d:304f:ffff:ffff:ffff:ffff:ffff:ffff
6fe8d:3050::/28fe8d:305f:ffff:ffff:ffff:ffff:ffff:ffff
7fe8d:3060::/28fe8d:306f:ffff:ffff:ffff:ffff:ffff:ffff
8fe8d:3070::/28fe8d:307f:ffff:ffff:ffff:ffff:ffff:ffff
9fe8d:3080::/28fe8d:308f:ffff:ffff:ffff:ffff:ffff:ffff
10fe8d:3090::/28fe8d:309f:ffff:ffff:ffff:ffff:ffff:ffff
11fe8d:30a0::/28fe8d:30af:ffff:ffff:ffff:ffff:ffff:ffff
12fe8d:30b0::/28fe8d:30bf:ffff:ffff:ffff:ffff:ffff:ffff
13fe8d:30c0::/28fe8d:30cf:ffff:ffff:ffff:ffff:ffff:ffff
14fe8d:30d0::/28fe8d:30df:ffff:ffff:ffff:ffff:ffff:ffff
15fe8d:30e0::/28fe8d:30ef:ffff:ffff:ffff:ffff:ffff:ffff
16fe8d:30f0::/28fe8d:30ff:ffff:ffff:ffff:ffff:ffff:ffff
17fe8d:3100::/28fe8d:310f:ffff:ffff:ffff:ffff:ffff:ffff
18fe8d:3110::/28fe8d:311f:ffff:ffff:ffff:ffff:ffff:ffff
19fe8d:3120::/28fe8d:312f:ffff:ffff:ffff:ffff:ffff:ffff
20fe8d:3130::/28fe8d:313f:ffff:ffff:ffff:ffff:ffff:ffff
21fe8d:3140::/28fe8d:314f:ffff:ffff:ffff:ffff:ffff:ffff
22fe8d:3150::/28fe8d:315f:ffff:ffff:ffff:ffff:ffff:ffff
23fe8d:3160::/28fe8d:316f:ffff:ffff:ffff:ffff:ffff:ffff
24fe8d:3170::/28fe8d:317f:ffff:ffff:ffff:ffff:ffff:ffff
25fe8d:3180::/28fe8d:318f:ffff:ffff:ffff:ffff:ffff:ffff
26fe8d:3190::/28fe8d:319f:ffff:ffff:ffff:ffff:ffff:ffff
27fe8d:31a0::/28fe8d:31af:ffff:ffff:ffff:ffff:ffff:ffff
28fe8d:31b0::/28fe8d:31bf:ffff:ffff:ffff:ffff:ffff:ffff
29fe8d:31c0::/28fe8d:31cf:ffff:ffff:ffff:ffff:ffff:ffff
30fe8d:31d0::/28fe8d:31df:ffff:ffff:ffff:ffff:ffff:ffff
31fe8d:31e0::/28fe8d:31ef:ffff:ffff:ffff:ffff:ffff:ffff
32fe8d:31f0::/28fe8d:31ff:ffff:ffff:ffff:ffff:ffff:ffff
33fe8d:3200::/28fe8d:320f:ffff:ffff:ffff:ffff:ffff:ffff
34fe8d:3210::/28fe8d:321f:ffff:ffff:ffff:ffff:ffff:ffff
35fe8d:3220::/28fe8d:322f:ffff:ffff:ffff:ffff:ffff:ffff
36fe8d:3230::/28fe8d:323f:ffff:ffff:ffff:ffff:ffff:ffff
37fe8d:3240::/28fe8d:324f:ffff:ffff:ffff:ffff:ffff:ffff
38fe8d:3250::/28fe8d:325f:ffff:ffff:ffff:ffff:ffff:ffff
39fe8d:3260::/28fe8d:326f:ffff:ffff:ffff:ffff:ffff:ffff
40fe8d:3270::/28fe8d:327f:ffff:ffff:ffff:ffff:ffff:ffff
41fe8d:3280::/28fe8d:328f:ffff:ffff:ffff:ffff:ffff:ffff
42fe8d:3290::/28fe8d:329f:ffff:ffff:ffff:ffff:ffff:ffff
43fe8d:32a0::/28fe8d:32af:ffff:ffff:ffff:ffff:ffff:ffff
44fe8d:32b0::/28fe8d:32bf:ffff:ffff:ffff:ffff:ffff:ffff
45fe8d:32c0::/28fe8d:32cf:ffff:ffff:ffff:ffff:ffff:ffff
46fe8d:32d0::/28fe8d:32df:ffff:ffff:ffff:ffff:ffff:ffff
47fe8d:32e0::/28fe8d:32ef:ffff:ffff:ffff:ffff:ffff:ffff
48fe8d:32f0::/28fe8d:32ff:ffff:ffff:ffff:ffff:ffff:ffff
49fe8d:3300::/28fe8d:330f:ffff:ffff:ffff:ffff:ffff:ffff
50fe8d:3310::/28fe8d:331f:ffff:ffff:ffff:ffff:ffff:ffff
51fe8d:3320::/28fe8d:332f:ffff:ffff:ffff:ffff:ffff:ffff
52fe8d:3330::/28fe8d:333f:ffff:ffff:ffff:ffff:ffff:ffff
53fe8d:3340::/28fe8d:334f:ffff:ffff:ffff:ffff:ffff:ffff
54fe8d:3350::/28fe8d:335f:ffff:ffff:ffff:ffff:ffff:ffff
55fe8d:3360::/28fe8d:336f:ffff:ffff:ffff:ffff:ffff:ffff
56fe8d:3370::/28fe8d:337f:ffff:ffff:ffff:ffff:ffff:ffff
57fe8d:3380::/28fe8d:338f:ffff:ffff:ffff:ffff:ffff:ffff
58fe8d:3390::/28fe8d:339f:ffff:ffff:ffff:ffff:ffff:ffff
59fe8d:33a0::/28fe8d:33af:ffff:ffff:ffff:ffff:ffff:ffff
60fe8d:33b0::/28fe8d:33bf:ffff:ffff:ffff:ffff:ffff:ffff
61fe8d:33c0::/28fe8d:33cf:ffff:ffff:ffff:ffff:ffff:ffff
62fe8d:33d0::/28fe8d:33df:ffff:ffff:ffff:ffff:ffff:ffff
63fe8d:33e0::/28fe8d:33ef:ffff:ffff:ffff:ffff:ffff:ffff
64fe8d:33f0::/28fe8d:33ff:ffff:ffff:ffff:ffff:ffff:ffff
65fe8d:3400::/28fe8d:340f:ffff:ffff:ffff:ffff:ffff:ffff
66fe8d:3410::/28fe8d:341f:ffff:ffff:ffff:ffff:ffff:ffff
67fe8d:3420::/28fe8d:342f:ffff:ffff:ffff:ffff:ffff:ffff
68fe8d:3430::/28fe8d:343f:ffff:ffff:ffff:ffff:ffff:ffff
69fe8d:3440::/28fe8d:344f:ffff:ffff:ffff:ffff:ffff:ffff
70fe8d:3450::/28fe8d:345f:ffff:ffff:ffff:ffff:ffff:ffff
71fe8d:3460::/28fe8d:346f:ffff:ffff:ffff:ffff:ffff:ffff
72fe8d:3470::/28fe8d:347f:ffff:ffff:ffff:ffff:ffff:ffff
73fe8d:3480::/28fe8d:348f:ffff:ffff:ffff:ffff:ffff:ffff
74fe8d:3490::/28fe8d:349f:ffff:ffff:ffff:ffff:ffff:ffff
75fe8d:34a0::/28fe8d:34af:ffff:ffff:ffff:ffff:ffff:ffff
76fe8d:34b0::/28fe8d:34bf:ffff:ffff:ffff:ffff:ffff:ffff
77fe8d:34c0::/28fe8d:34cf:ffff:ffff:ffff:ffff:ffff:ffff
78fe8d:34d0::/28fe8d:34df:ffff:ffff:ffff:ffff:ffff:ffff
79fe8d:34e0::/28fe8d:34ef:ffff:ffff:ffff:ffff:ffff:ffff
80fe8d:34f0::/28fe8d:34ff:ffff:ffff:ffff:ffff:ffff:ffff
81fe8d:3500::/28fe8d:350f:ffff:ffff:ffff:ffff:ffff:ffff
82fe8d:3510::/28fe8d:351f:ffff:ffff:ffff:ffff:ffff:ffff
83fe8d:3520::/28fe8d:352f:ffff:ffff:ffff:ffff:ffff:ffff
84fe8d:3530::/28fe8d:353f:ffff:ffff:ffff:ffff:ffff:ffff
85fe8d:3540::/28fe8d:354f:ffff:ffff:ffff:ffff:ffff:ffff
86fe8d:3550::/28fe8d:355f:ffff:ffff:ffff:ffff:ffff:ffff
87fe8d:3560::/28fe8d:356f:ffff:ffff:ffff:ffff:ffff:ffff
88fe8d:3570::/28fe8d:357f:ffff:ffff:ffff:ffff:ffff:ffff
89fe8d:3580::/28fe8d:358f:ffff:ffff:ffff:ffff:ffff:ffff
90fe8d:3590::/28fe8d:359f:ffff:ffff:ffff:ffff:ffff:ffff
91fe8d:35a0::/28fe8d:35af:ffff:ffff:ffff:ffff:ffff:ffff
92fe8d:35b0::/28fe8d:35bf:ffff:ffff:ffff:ffff:ffff:ffff
93fe8d:35c0::/28fe8d:35cf:ffff:ffff:ffff:ffff:ffff:ffff
94fe8d:35d0::/28fe8d:35df:ffff:ffff:ffff:ffff:ffff:ffff
95fe8d:35e0::/28fe8d:35ef:ffff:ffff:ffff:ffff:ffff:ffff
96fe8d:35f0::/28fe8d:35ff:ffff:ffff:ffff:ffff:ffff:ffff
97fe8d:3600::/28fe8d:360f:ffff:ffff:ffff:ffff:ffff:ffff
98fe8d:3610::/28fe8d:361f:ffff:ffff:ffff:ffff:ffff:ffff
99fe8d:3620::/28fe8d:362f:ffff:ffff:ffff:ffff:ffff:ffff
100fe8d:3630::/28fe8d:363f:ffff:ffff:ffff:ffff:ffff:ffff
101fe8d:3640::/28fe8d:364f:ffff:ffff:ffff:ffff:ffff:ffff
102fe8d:3650::/28fe8d:365f:ffff:ffff:ffff:ffff:ffff:ffff
103fe8d:3660::/28fe8d:366f:ffff:ffff:ffff:ffff:ffff:ffff
104fe8d:3670::/28fe8d:367f:ffff:ffff:ffff:ffff:ffff:ffff
105fe8d:3680::/28fe8d:368f:ffff:ffff:ffff:ffff:ffff:ffff
106fe8d:3690::/28fe8d:369f:ffff:ffff:ffff:ffff:ffff:ffff
107fe8d:36a0::/28fe8d:36af:ffff:ffff:ffff:ffff:ffff:ffff
108fe8d:36b0::/28fe8d:36bf:ffff:ffff:ffff:ffff:ffff:ffff
109fe8d:36c0::/28fe8d:36cf:ffff:ffff:ffff:ffff:ffff:ffff
110fe8d:36d0::/28fe8d:36df:ffff:ffff:ffff:ffff:ffff:ffff
111fe8d:36e0::/28fe8d:36ef:ffff:ffff:ffff:ffff:ffff:ffff
112fe8d:36f0::/28fe8d:36ff:ffff:ffff:ffff:ffff:ffff:ffff
113fe8d:3700::/28fe8d:370f:ffff:ffff:ffff:ffff:ffff:ffff
114fe8d:3710::/28fe8d:371f:ffff:ffff:ffff:ffff:ffff:ffff
115fe8d:3720::/28fe8d:372f:ffff:ffff:ffff:ffff:ffff:ffff
116fe8d:3730::/28fe8d:373f:ffff:ffff:ffff:ffff:ffff:ffff
117fe8d:3740::/28fe8d:374f:ffff:ffff:ffff:ffff:ffff:ffff
118fe8d:3750::/28fe8d:375f:ffff:ffff:ffff:ffff:ffff:ffff
119fe8d:3760::/28fe8d:376f:ffff:ffff:ffff:ffff:ffff:ffff
120fe8d:3770::/28fe8d:377f:ffff:ffff:ffff:ffff:ffff:ffff
121fe8d:3780::/28fe8d:378f:ffff:ffff:ffff:ffff:ffff:ffff
122fe8d:3790::/28fe8d:379f:ffff:ffff:ffff:ffff:ffff:ffff
123fe8d:37a0::/28fe8d:37af:ffff:ffff:ffff:ffff:ffff:ffff
124fe8d:37b0::/28fe8d:37bf:ffff:ffff:ffff:ffff:ffff:ffff
125fe8d:37c0::/28fe8d:37cf:ffff:ffff:ffff:ffff:ffff:ffff
126fe8d:37d0::/28fe8d:37df:ffff:ffff:ffff:ffff:ffff:ffff
127fe8d:37e0::/28fe8d:37ef:ffff:ffff:ffff:ffff:ffff:ffff
128fe8d:37f0::/28fe8d:37ff:ffff:ffff:ffff:ffff:ffff:ffff
129fe8d:3800::/28fe8d:380f:ffff:ffff:ffff:ffff:ffff:ffff
130fe8d:3810::/28fe8d:381f:ffff:ffff:ffff:ffff:ffff:ffff
131fe8d:3820::/28fe8d:382f:ffff:ffff:ffff:ffff:ffff:ffff
132fe8d:3830::/28fe8d:383f:ffff:ffff:ffff:ffff:ffff:ffff
133fe8d:3840::/28fe8d:384f:ffff:ffff:ffff:ffff:ffff:ffff
134fe8d:3850::/28fe8d:385f:ffff:ffff:ffff:ffff:ffff:ffff
135fe8d:3860::/28fe8d:386f:ffff:ffff:ffff:ffff:ffff:ffff
136fe8d:3870::/28fe8d:387f:ffff:ffff:ffff:ffff:ffff:ffff
137fe8d:3880::/28fe8d:388f:ffff:ffff:ffff:ffff:ffff:ffff
138fe8d:3890::/28fe8d:389f:ffff:ffff:ffff:ffff:ffff:ffff
139fe8d:38a0::/28fe8d:38af:ffff:ffff:ffff:ffff:ffff:ffff
140fe8d:38b0::/28fe8d:38bf:ffff:ffff:ffff:ffff:ffff:ffff
141fe8d:38c0::/28fe8d:38cf:ffff:ffff:ffff:ffff:ffff:ffff
142fe8d:38d0::/28fe8d:38df:ffff:ffff:ffff:ffff:ffff:ffff
143fe8d:38e0::/28fe8d:38ef:ffff:ffff:ffff:ffff:ffff:ffff
144fe8d:38f0::/28fe8d:38ff:ffff:ffff:ffff:ffff:ffff:ffff
145fe8d:3900::/28fe8d:390f:ffff:ffff:ffff:ffff:ffff:ffff
146fe8d:3910::/28fe8d:391f:ffff:ffff:ffff:ffff:ffff:ffff
147fe8d:3920::/28fe8d:392f:ffff:ffff:ffff:ffff:ffff:ffff
148fe8d:3930::/28fe8d:393f:ffff:ffff:ffff:ffff:ffff:ffff
149fe8d:3940::/28fe8d:394f:ffff:ffff:ffff:ffff:ffff:ffff
150fe8d:3950::/28fe8d:395f:ffff:ffff:ffff:ffff:ffff:ffff
151fe8d:3960::/28fe8d:396f:ffff:ffff:ffff:ffff:ffff:ffff
152fe8d:3970::/28fe8d:397f:ffff:ffff:ffff:ffff:ffff:ffff
153fe8d:3980::/28fe8d:398f:ffff:ffff:ffff:ffff:ffff:ffff
154fe8d:3990::/28fe8d:399f:ffff:ffff:ffff:ffff:ffff:ffff
155fe8d:39a0::/28fe8d:39af:ffff:ffff:ffff:ffff:ffff:ffff
156fe8d:39b0::/28fe8d:39bf:ffff:ffff:ffff:ffff:ffff:ffff
157fe8d:39c0::/28fe8d:39cf:ffff:ffff:ffff:ffff:ffff:ffff
158fe8d:39d0::/28fe8d:39df:ffff:ffff:ffff:ffff:ffff:ffff
159fe8d:39e0::/28fe8d:39ef:ffff:ffff:ffff:ffff:ffff:ffff
160fe8d:39f0::/28fe8d:39ff:ffff:ffff:ffff:ffff:ffff:ffff
161fe8d:3a00::/28fe8d:3a0f:ffff:ffff:ffff:ffff:ffff:ffff
162fe8d:3a10::/28fe8d:3a1f:ffff:ffff:ffff:ffff:ffff:ffff
163fe8d:3a20::/28fe8d:3a2f:ffff:ffff:ffff:ffff:ffff:ffff
164fe8d:3a30::/28fe8d:3a3f:ffff:ffff:ffff:ffff:ffff:ffff
165fe8d:3a40::/28fe8d:3a4f:ffff:ffff:ffff:ffff:ffff:ffff
166fe8d:3a50::/28fe8d:3a5f:ffff:ffff:ffff:ffff:ffff:ffff
167fe8d:3a60::/28fe8d:3a6f:ffff:ffff:ffff:ffff:ffff:ffff
168fe8d:3a70::/28fe8d:3a7f:ffff:ffff:ffff:ffff:ffff:ffff
169fe8d:3a80::/28fe8d:3a8f:ffff:ffff:ffff:ffff:ffff:ffff
170fe8d:3a90::/28fe8d:3a9f:ffff:ffff:ffff:ffff:ffff:ffff
171fe8d:3aa0::/28fe8d:3aaf:ffff:ffff:ffff:ffff:ffff:ffff
172fe8d:3ab0::/28fe8d:3abf:ffff:ffff:ffff:ffff:ffff:ffff
173fe8d:3ac0::/28fe8d:3acf:ffff:ffff:ffff:ffff:ffff:ffff
174fe8d:3ad0::/28fe8d:3adf:ffff:ffff:ffff:ffff:ffff:ffff
175fe8d:3ae0::/28fe8d:3aef:ffff:ffff:ffff:ffff:ffff:ffff
176fe8d:3af0::/28fe8d:3aff:ffff:ffff:ffff:ffff:ffff:ffff
177fe8d:3b00::/28fe8d:3b0f:ffff:ffff:ffff:ffff:ffff:ffff
178fe8d:3b10::/28fe8d:3b1f:ffff:ffff:ffff:ffff:ffff:ffff
179fe8d:3b20::/28fe8d:3b2f:ffff:ffff:ffff:ffff:ffff:ffff
180fe8d:3b30::/28fe8d:3b3f:ffff:ffff:ffff:ffff:ffff:ffff
181fe8d:3b40::/28fe8d:3b4f:ffff:ffff:ffff:ffff:ffff:ffff
182fe8d:3b50::/28fe8d:3b5f:ffff:ffff:ffff:ffff:ffff:ffff
183fe8d:3b60::/28fe8d:3b6f:ffff:ffff:ffff:ffff:ffff:ffff
184fe8d:3b70::/28fe8d:3b7f:ffff:ffff:ffff:ffff:ffff:ffff
185fe8d:3b80::/28fe8d:3b8f:ffff:ffff:ffff:ffff:ffff:ffff
186fe8d:3b90::/28fe8d:3b9f:ffff:ffff:ffff:ffff:ffff:ffff
187fe8d:3ba0::/28fe8d:3baf:ffff:ffff:ffff:ffff:ffff:ffff
188fe8d:3bb0::/28fe8d:3bbf:ffff:ffff:ffff:ffff:ffff:ffff
189fe8d:3bc0::/28fe8d:3bcf:ffff:ffff:ffff:ffff:ffff:ffff
190fe8d:3bd0::/28fe8d:3bdf:ffff:ffff:ffff:ffff:ffff:ffff
191fe8d:3be0::/28fe8d:3bef:ffff:ffff:ffff:ffff:ffff:ffff
192fe8d:3bf0::/28fe8d:3bff:ffff:ffff:ffff:ffff:ffff:ffff
193fe8d:3c00::/28fe8d:3c0f:ffff:ffff:ffff:ffff:ffff:ffff
194fe8d:3c10::/28fe8d:3c1f:ffff:ffff:ffff:ffff:ffff:ffff
195fe8d:3c20::/28fe8d:3c2f:ffff:ffff:ffff:ffff:ffff:ffff
196fe8d:3c30::/28fe8d:3c3f:ffff:ffff:ffff:ffff:ffff:ffff
197fe8d:3c40::/28fe8d:3c4f:ffff:ffff:ffff:ffff:ffff:ffff
198fe8d:3c50::/28fe8d:3c5f:ffff:ffff:ffff:ffff:ffff:ffff
199fe8d:3c60::/28fe8d:3c6f:ffff:ffff:ffff:ffff:ffff:ffff
200fe8d:3c70::/28fe8d:3c7f:ffff:ffff:ffff:ffff:ffff:ffff
201fe8d:3c80::/28fe8d:3c8f:ffff:ffff:ffff:ffff:ffff:ffff
202fe8d:3c90::/28fe8d:3c9f:ffff:ffff:ffff:ffff:ffff:ffff
203fe8d:3ca0::/28fe8d:3caf:ffff:ffff:ffff:ffff:ffff:ffff
204fe8d:3cb0::/28fe8d:3cbf:ffff:ffff:ffff:ffff:ffff:ffff
205fe8d:3cc0::/28fe8d:3ccf:ffff:ffff:ffff:ffff:ffff:ffff
206fe8d:3cd0::/28fe8d:3cdf:ffff:ffff:ffff:ffff:ffff:ffff
207fe8d:3ce0::/28fe8d:3cef:ffff:ffff:ffff:ffff:ffff:ffff
208fe8d:3cf0::/28fe8d:3cff:ffff:ffff:ffff:ffff:ffff:ffff
209fe8d:3d00::/28fe8d:3d0f:ffff:ffff:ffff:ffff:ffff:ffff
210fe8d:3d10::/28fe8d:3d1f:ffff:ffff:ffff:ffff:ffff:ffff
211fe8d:3d20::/28fe8d:3d2f:ffff:ffff:ffff:ffff:ffff:ffff
212fe8d:3d30::/28fe8d:3d3f:ffff:ffff:ffff:ffff:ffff:ffff
213fe8d:3d40::/28fe8d:3d4f:ffff:ffff:ffff:ffff:ffff:ffff
214fe8d:3d50::/28fe8d:3d5f:ffff:ffff:ffff:ffff:ffff:ffff
215fe8d:3d60::/28fe8d:3d6f:ffff:ffff:ffff:ffff:ffff:ffff
216fe8d:3d70::/28fe8d:3d7f:ffff:ffff:ffff:ffff:ffff:ffff
217fe8d:3d80::/28fe8d:3d8f:ffff:ffff:ffff:ffff:ffff:ffff
218fe8d:3d90::/28fe8d:3d9f:ffff:ffff:ffff:ffff:ffff:ffff
219fe8d:3da0::/28fe8d:3daf:ffff:ffff:ffff:ffff:ffff:ffff
220fe8d:3db0::/28fe8d:3dbf:ffff:ffff:ffff:ffff:ffff:ffff
221fe8d:3dc0::/28fe8d:3dcf:ffff:ffff:ffff:ffff:ffff:ffff
222fe8d:3dd0::/28fe8d:3ddf:ffff:ffff:ffff:ffff:ffff:ffff
223fe8d:3de0::/28fe8d:3def:ffff:ffff:ffff:ffff:ffff:ffff
224fe8d:3df0::/28fe8d:3dff:ffff:ffff:ffff:ffff:ffff:ffff
225fe8d:3e00::/28fe8d:3e0f:ffff:ffff:ffff:ffff:ffff:ffff
226fe8d:3e10::/28fe8d:3e1f:ffff:ffff:ffff:ffff:ffff:ffff
227fe8d:3e20::/28fe8d:3e2f:ffff:ffff:ffff:ffff:ffff:ffff
228fe8d:3e30::/28fe8d:3e3f:ffff:ffff:ffff:ffff:ffff:ffff
229fe8d:3e40::/28fe8d:3e4f:ffff:ffff:ffff:ffff:ffff:ffff
230fe8d:3e50::/28fe8d:3e5f:ffff:ffff:ffff:ffff:ffff:ffff
231fe8d:3e60::/28fe8d:3e6f:ffff:ffff:ffff:ffff:ffff:ffff
232fe8d:3e70::/28fe8d:3e7f:ffff:ffff:ffff:ffff:ffff:ffff
233fe8d:3e80::/28fe8d:3e8f:ffff:ffff:ffff:ffff:ffff:ffff
234fe8d:3e90::/28fe8d:3e9f:ffff:ffff:ffff:ffff:ffff:ffff
235fe8d:3ea0::/28fe8d:3eaf:ffff:ffff:ffff:ffff:ffff:ffff
236fe8d:3eb0::/28fe8d:3ebf:ffff:ffff:ffff:ffff:ffff:ffff
237fe8d:3ec0::/28fe8d:3ecf:ffff:ffff:ffff:ffff:ffff:ffff
238fe8d:3ed0::/28fe8d:3edf:ffff:ffff:ffff:ffff:ffff:ffff
239fe8d:3ee0::/28fe8d:3eef:ffff:ffff:ffff:ffff:ffff:ffff
240fe8d:3ef0::/28fe8d:3eff:ffff:ffff:ffff:ffff:ffff:ffff
241fe8d:3f00::/28fe8d:3f0f:ffff:ffff:ffff:ffff:ffff:ffff
242fe8d:3f10::/28fe8d:3f1f:ffff:ffff:ffff:ffff:ffff:ffff
243fe8d:3f20::/28fe8d:3f2f:ffff:ffff:ffff:ffff:ffff:ffff
244fe8d:3f30::/28fe8d:3f3f:ffff:ffff:ffff:ffff:ffff:ffff
245fe8d:3f40::/28fe8d:3f4f:ffff:ffff:ffff:ffff:ffff:ffff
246fe8d:3f50::/28fe8d:3f5f:ffff:ffff:ffff:ffff:ffff:ffff
247fe8d:3f60::/28fe8d:3f6f:ffff:ffff:ffff:ffff:ffff:ffff
248fe8d:3f70::/28fe8d:3f7f:ffff:ffff:ffff:ffff:ffff:ffff
249fe8d:3f80::/28fe8d:3f8f:ffff:ffff:ffff:ffff:ffff:ffff
250fe8d:3f90::/28fe8d:3f9f:ffff:ffff:ffff:ffff:ffff:ffff
251fe8d:3fa0::/28fe8d:3faf:ffff:ffff:ffff:ffff:ffff:ffff
252fe8d:3fb0::/28fe8d:3fbf:ffff:ffff:ffff:ffff:ffff:ffff
253fe8d:3fc0::/28fe8d:3fcf:ffff:ffff:ffff:ffff:ffff:ffff
254fe8d:3fd0::/28fe8d:3fdf:ffff:ffff:ffff:ffff:ffff:ffff
255fe8d:3fe0::/28fe8d:3fef:ffff:ffff:ffff:ffff:ffff:ffff
256fe8d:3ff0::/28fe8d:3fff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses